Dependencies:
- 'on': ['Linux', 'FreeBSD', 'Windows', 'macOS', 'Android']
  'require':
    'frameworks/extra-cmake-modules': '@same'
    'frameworks/karchive' : '@same'
    'frameworks/kconfig' : '@same'
    'frameworks/kcoreaddons' : '@same'
    'frameworks/kguiaddons' : '@same'
    'frameworks/kirigami' : '@same'
    'frameworks/kcolorscheme' : '@same'

Options:
  test-before-installing: True
  cppcheck-ignore-files: ['templates/']
  require-passing-tests-on: ['Linux', 'FreeBSD', 'Windows', 'macOS']
